package com.pcloud.common.core.enums;

/**
 * @Description：任务动作
 * @Author：lixg
 * @Date：2018/6/11
 * @Version：1.0
 */
public enum PromotionTaskEnum {

    TARGET_CLASS_APP("APP"),     //APP
    TARGET_CLASS_PRODUCT("PRODUCT"),     //PRODUCT

    TASK_ACTION_BUY("BUY"),             //购买
    TASK_ACTION_VOTE("VOTE"),           //投票
    TASK_ACTION_CLOCK("CLOCK"),         //打卡
    TASK_ACTION_ANSWER("ANSWER"),       //答题
    TASK_ACTION_PUBLISH("PUBLISH"),     //发布
    TASK_ACTION_INTO("INTO"),           //进入
    TASK_ACTION_INVITE_INTO("INVITE_INTO"),   //邀请进入
    TASK_ACTION_INVITE_SCAN("INVITE_SCAN"),   //邀请扫码
    TASK_ACTION_INVITE_BUY("INVITE_BUY");     //邀请购买

    private String code;

    private PromotionTaskEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return this.code;
    }

}
